Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.novell.xsl.parser
Class XSLTParserException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.novell.xsl.XSLException
                  com.novell.xsl.parser.XSLTParserException

All Implemented Interfaces:
  Serializable

    public class XSLTParserException

extends XSLException

Exception class for XSLT Parser errors

See Also:
  Serialized Form

Field Summary
`static String` | `ATTRIBUTE_EXPR_ERROR`
`static String` | `CIRCULAR_REFERENCE`
`static String` | `DUPLICATE_DEFAULT`
`static String` | `DUPLICATE_NAME`
`static String` | `ILLEGAL_SHADOW`
`static String` | `INVALID_ATTRIBUTE`
`static String` | `INVALID_ATTRIBUTE_VALUE`
`static String` | `INVALID_CONTENT`
`static String` | `INVALID_QNAME`
`static String` | `MISSING`
`static String` | `MISSING_REQUIRED_ATTRIBUTE`
`static String` | `MUST_BE_NODE_SET_EXPR`
`static String` | `MUST_OCCUR_FIRST`
`static String` | `NO_DOCUMENT_ELEMENT`
`static String` | `NO_NAMESPACE_URI`
`static String` | `NO_STYLESHEET_PI`
`static String` | `NO_STYLESHEET_TYPE`
`static String` | `NO_VARIABLES_ALLOWED`
`static String` | `ONE_PREFIX_ALLOWED`
`static String` | `SCRIPT_HREF_AND_CONTENT`
`static String` | `TEMPATE_MODE_NO_MATCH`
`static String` | `TEMPLATE_NO_NAME_OR_MATCH`
`static String` | `VARIABLE_NOT_DEFINED`
`static String` | `VARIABLE_SELECT_AND_CONTENT`

Fields inherited from class com.novell.xsl.XSLException
`ERROR_PROLOGUE, INVALID_RESULT_HANDLER, STYLESHEET_PARM_ERROR, WARNING_PROLOGUE`

Constructor Summary
`XSLTParserException(String key)` Construct an instance based on a message format string with no parameters
`XSLTParserException(String key, Object[] parms)` Construct an instance based on a message format string with n parameters
`XSLTParserException(String key, String parm0)` Construct an instance based on a message format string with one parameter
`XSLTParserException(String key, String parm0, String parm1)` Construct an instance based on a message format string with two parameters

Method Summary
`static String` | `constructMessage(String key, Object[] parms)` Construct a message from a format message in the properties file and an array of parameters

Methods inherited from class com.novell.xsl.XSLException
`isError`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### VARIABLE_NOT_DEFINED

    public static final String VARIABLE_NOT_DEFINED

See Also:
  Constant Field Values

### NO_DOCUMENT_ELEMENT

    public static final String NO_DOCUMENT_ELEMENT

See Also:
  Constant Field Values

### MUST_OCCUR_FIRST

    public static final String MUST_OCCUR_FIRST

See Also:
  Constant Field Values

### INVALID_CONTENT

    public static final String INVALID_CONTENT

See Also:
  Constant Field Values

### MISSING_REQUIRED_ATTRIBUTE

    public static final String MISSING_REQUIRED_ATTRIBUTE

See Also:
  Constant Field Values

### INVALID_ATTRIBUTE

    public static final String INVALID_ATTRIBUTE

See Also:
  Constant Field Values

### DUPLICATE_NAME

    public static final String DUPLICATE_NAME

See Also:
  Constant Field Values

### DUPLICATE_DEFAULT

    public static final String DUPLICATE_DEFAULT

See Also:
  Constant Field Values

### CIRCULAR_REFERENCE

    public static final String CIRCULAR_REFERENCE

See Also:
  Constant Field Values

### ONE_PREFIX_ALLOWED

    public static final String ONE_PREFIX_ALLOWED

See Also:
  Constant Field Values

### TEMPLATE_NO_NAME_OR_MATCH

    public static final String TEMPLATE_NO_NAME_OR_MATCH

See Also:
  Constant Field Values

### TEMPATE_MODE_NO_MATCH

    public static final String TEMPATE_MODE_NO_MATCH

See Also:
  Constant Field Values

### ILLEGAL_SHADOW

    public static final String ILLEGAL_SHADOW

See Also:
  Constant Field Values

### MISSING

    public static final String MISSING

See Also:
  Constant Field Values

### VARIABLE_SELECT_AND_CONTENT

    public static final String VARIABLE_SELECT_AND_CONTENT

See Also:
  Constant Field Values

### MUST_BE_NODE_SET_EXPR

    public static final String MUST_BE_NODE_SET_EXPR

See Also:
  Constant Field Values

### NO_NAMESPACE_URI

    public static final String NO_NAMESPACE_URI

See Also:
  Constant Field Values

### INVALID_QNAME

    public static final String INVALID_QNAME

See Also:
  Constant Field Values

### INVALID_ATTRIBUTE_VALUE

    public static final String INVALID_ATTRIBUTE_VALUE

See Also:
  Constant Field Values

### ATTRIBUTE_EXPR_ERROR

    public static final String ATTRIBUTE_EXPR_ERROR

See Also:
  Constant Field Values

### NO_VARIABLES_ALLOWED

    public static final String NO_VARIABLES_ALLOWED

See Also:
  Constant Field Values

### NO_STYLESHEET_PI

    public static final String NO_STYLESHEET_PI

See Also:
  Constant Field Values

### NO_STYLESHEET_TYPE

    public static final String NO_STYLESHEET_TYPE

See Also:
  Constant Field Values

### SCRIPT_HREF_AND_CONTENT

    public static final String SCRIPT_HREF_AND_CONTENT

See Also:
  Constant Field Values

Constructor Detail

### XSLTParserException

    public XSLTParserException(String key)

  Construct an instance based on a message format string with no parameters

  Parameters:
    `key` - The key of the message format string in the properties file

### XSLTParserException

    public XSLTParserException(String key,
                               String parm0)

  Construct an instance based on a message format string with one parameter

  Parameters:
    `key` - The key of the message format string in the properties file
    `parm0` - The first parameter for the message format string

### XSLTParserException

    public XSLTParserException(String key,
                               String parm0,
                               String parm1)

  Construct an instance based on a message format string with two parameters

  Parameters:
    `key` - The key of the message format string in the properties file
    `parm0` - The first parameter for the message format string
    `parm1` - The second parameter for the message format string

### XSLTParserException

    public XSLTParserException(String key,
                               Object[] parms)

  Construct an instance based on a message format string with n parameters

  Parameters:
    `key` - The key of the message format string in the properties file
    `parms` - The parameters for the message format string

Method Detail

### constructMessage

    public static String constructMessage(String key,
                                          Object[] parms)

  Construct a message from a format message in the properties file and an array of parameters

  Parameters:
    `key` - The key of the message format string in the properties file
    `parms` - The parameters for the message format string

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD